%global         srcname     azure-synapse-managedprivateendpoints

Name:           python-%{srcname}
Version:        0.3.0
Release:        1%{?dist}
Summary:        Microsoft Azure Synapse Managed Private Endpoints Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}
# NOTE(mhayden): Still trying to get upstream to accept multiple PRs to add
# licenses to all PyPi packages, but they're moving slowly.
Source1:        https://github.com/Azure/azure-sdk-for-python/raw/%{srcname}_%{version}/LICENSE.txt

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros


%global _description %{expand:
Microsoft Azure Synapse Managed Private Endpoints Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
Obsoletes:      python3-azure-sdk < 5.0.1

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}
cp %SOURCE1 .


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md
%license LICENSE.txt


%changelog
* Tue Sep 07 2021 Major Hayden <major@mhtx.net> - 0.3.0-1
- First package.
